%global forgeurl https://sourceforge.net/p/hptalx

Name:           hptalx
Version:        1.3.1a
Release:        %autorelease
Summary:        HP Calculator<->PC communications program

License:        GPL-2.0-or-later
URL:            http://hptalx.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source:         %{name}.desktop
Source:         net.sourceforge.%{name}.metainfo.xml

# Patch #2: Fix Gtk warning about unterminated column
Patch:          %{forgeurl}/patches/_discuss/thread/6ccd32a7/67ef/attachment/list_store.patch
# Patch #3: Fix Gtk warning on spin button initialization
Patch:          %{forgeurl}/patches/_discuss/thread/1736c8d2/1af9/attachment/0000_spinbutton.patch
# Patch #4: Fix segfault on failed communication with kermit
Patch:          %{forgeurl}/patches/_discuss/thread/6a312d44/de31/attachment/segfault.patch
# Patch #5: Inform user about missing kermit
Patch:          %{forgeurl}/patches/_discuss/thread/e18d7be4/d950/attachment/kermit_message.patch

BuildRequires:  ckermit
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  gcc
BuildRequires:  libappstream-glib
BuildRequires:  make

BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel

Requires:       ckermit

%description
HPTalx is a PC to HP 48/49/50 link program for Linux, providing a Kermit front
end. Also updates the 49's ROM, backs up and restores the calculator, and
provides a command window. 

%prep
%autosetup -p1

# Convert files to UTF-8
for f in AUTHORS COPYING README README.hp49gplus; do
  iconv -f iso8859-1 -t utf-8 "$f" > "${f}.conv" && mv -f "${f}.conv" "$f"
done

%build
%configure
%make_build

%install
%make_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

install -Dpm0644 -t %{buildroot}%{_metainfodir} %{SOURCE2}
appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/net.sourceforge.%{name}.metainfo.xml

%files
%license COPYING
%doc AUTHORS BUGS NEWS NOTE README README.hp49gplus ToDo
%doc %{_docdir}/%{name}/%{name}.html
%doc %{_docdir}/%{name}/hp49gplus.html
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/net.sourceforge.%{name}.metainfo.xml

%changelog
%autochangelog
